DWARF_NEW_FDE(3)

NAME
dwarf_new_fde - allocate a DWARF frame descriptor

LIBRARY
libdwarf

SYNOPSIS
#include <libdwarf.h>
Dwarf_P_Fde
dwarf_new_fde(Dwarf_P_Debug dbg, Dwarf_Error *err);

DESCRIPTION
Function dwarf_new_fde() allocates a new DWARF frame descriptor.

Argument dbg should reference a DWARF producer instance allocated using dwarf_producer_init(3) or dwarf_producer_init_b(3).

If argument err is not NULL, it will be used to store error information in case of an error.

RETURN VALUES
On success, function dwarf_new_fde() returns the newly created frame descriptor. In case of an error, function dwarf_new_fde() returns DW_DLV_BADADDR and sets the argument err.

ERRORS
Function dwarf_new_fde() can fail with:

[DW_DLE_ARGUMENT]
    Argument dbg was NULL.

[DW_DLE_MEMORY]
    An out of memory condition was encountered during the execution of the function.

SEE ALSO
dwarf(3), dwarf_add_fde_inst(3), dwarf_add_frame_cie(3), dwarf_add_frame_fde(3), dwarf_add_frame_fde_b(3), dwarf_fde_cfa_offset(3)